## net.sf.statcvs.reports
Class AuthorsForDirectoryTableReport

    java.lang.Object
      net.sf.statcvs.reports.AbstractLocTableReport
          net.sf.statcvs.reports.AuthorsForDirectoryTableReport

All Implemented Interfaces:
  TableReport

    public class AuthorsForDirectoryTableReport

extends AbstractLocTableReport
implements TableReport

Table report which creates a table containing the names of the authors who have committed changes to a certain directory, and their LOC contributions and number of changes in that directory.

Version:
  $Id: AuthorsForDirectoryTableReport.java,v 1.8 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

Field Summary

Fields inherited from class net.sf.statcvs.reports.AbstractLocTableReport
`SORT_BY_LINES, SORT_BY_NAME`

Constructor Summary
`AuthorsForDirectoryTableReport(ReportConfig config, Directory directory)` Creates a table report containing authors who have committed changes to a specified directory, their number of changes and LOC contributions.

Method Summary
`void` `calculate()` Calculates the report from the source data.
`Table` `getTable()` Returns the table data model.

Methods inherited from class net.sf.statcvs.reports.AbstractLocTableReport
`calculateChangesAndLinesPerDeveloper, calculateChangesAndLinesPerDirectory, createChangesAndLinesTable, getChangesMap, getContent, getDeveloperCount, getLinesMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorsForDirectoryTableReport

    public AuthorsForDirectoryTableReport(ReportConfig config,
                                          Directory directory)

  Creates a table report containing authors who have committed changes to a specified directory, their number of changes and LOC contributions.

  Parameters:
    `content` - the version control source data
    `directory` - a directory

Method Detail

### calculate

    public void calculate()

  Description copied from interface: `TableReport`
  Calculates the report from the source data.

  Specified by:
    `calculate` in interface `TableReport`
  See Also:
    `TableReport.calculate()`

### getTable

    public Table getTable()

  Description copied from interface: `TableReport`
  Returns the table data model.

  Specified by:
    `getTable` in interface `TableReport`
  Returns:
    the table data model
  See Also:
    `TableReport.getTable()`